<script id='ans-item-template' type="text/x-template">
  <!--回答列表-->
  <div class="aui-card-list aui-padded-t-0 home-list">
      <!--带询问icon-->
      <div class="question-content">
          <i class="icon-xu aui-positionA aui-hide"></i>
          <ul class="aui-list aui-list-in interested-list anwser" tapmode @click="openAnsDetail(ansBody.ansSno, ansBody.ansUser.userId, quesBody.quesId)">
              <li class="aui-list-item">
                  <div class="aui-list-item-label-icon" tapmode @click="openUserDetail(ansBody.ansUser.userId)">
                      <i class="photo-img-size4"><img class="" src="../../image/default.png"  :data-src="ansBody.ansUser.userIcon | imageformat"></i>
                  </div>
                  <div class="aui-list-item-inner">
                      <div class="content-text" tapmode @click="openUserDetail(ansBody.ansUser.userId)">
                          <p class="aui-ellipsis-1">
                            <span class="aui-text-gray aui-font-size-16">{{ ansBody.ansUser.userNickname }}</span>
                          </p>
                          <p class="aui-text-gray aui-font-size-12 vertical-center">
                            <span class="aui-text-lightGray aui-padded-r-5">{{ ansBody.createTime | dateformat('DD/MM') }} · </span>
                            <i class="icon-person-log"><img src="../../image/default.png" :data-src="ansBody.ansUser.userEdu.schlLogo | imageformat" /></i>
                            {{ ansBody.ansUser.userEdu.schlName }}
                          </p>
                      </div>
                  </div>
              </li>
          </ul>
          <div class="answer-con aui-font-size-16 aui-margin-b-15 aui-text-black" tapmode @click="openAnsDetail(ansBody.ansSno, ansBody.ansUser.userId, quesBody.quesId)">
              <div>{{ ansBody.ansCont }}</div>
          </div>
          <div class="question-content Con-bg box-radius5" tapmode @click="openQuesDetail(quesBody.quesId)">
            <ul v-if="quesBody.quesUser.userId > 0" class="aui-list aui-list-in interested-list anwser">
                <li class="aui-list-item">
                    <div class="aui-list-item-label-icon" tapmode @click="openUserDetail(quesBody.quesUser.userId)">
                        <i class="photo-img-size3"><img class="" src="../../image/default.png"  :data-src="quesBody.quesUser.userIcon | imageformat"></i>
                    </div>
                    <div class="aui-list-item-inner">
                        <div class="content-text">
                            <p class="aui-ellipsis-1">
                              <span class="aui-text-gray aui-font-size-14">{{ quesBody.quesUser.userNickname }}</span>
                            </p>
                            <p class="aui-text-gray aui-font-size-12 vertical-center">
                              <span class="aui-text-lightGray aui-padded-r-5">1小时前 · </span>
                              <i class="icon-person-log wid1"><img src="../../image/default.png" :data-src="quesBody.quesUser.userEdu.schlLogo | imageformat" /></i>
                              {{ quesBody.quesUser.userEdu.schlName }}
                            </p>
                        </div>
                    </div>
                </li>
            </ul>
            <div class="question-header imgWZ aui-padded-b-5">{{ quesBody.quesTitle }}</div>
          </div>
          <section class="aui-row list-bottom-cz aui-padded-t-5">
            <div class="aui-col-xs-4 aui-text-left">
                <a class="icon-zf" tapmode @click="openForward(2, quesBody, ansBody)">{{ ansBody.kpiAmtMap.ansListenAmt }}</a>
            </div>
            <div class="aui-col-xs-4 aui-text-center">
                <a class="icon-pl" @click="openAnsDetail(ansBody.ansSno, ansBody.ansUser.userId, quesBody.quesId)">{{ ansBody.kpiAmtMap.ansComtAmt }}</a>
            </div>
            <div class="aui-col-xs-4 aui-text-right">
                <a class="icon-zan" @click="ansPraise">{{ ansBody.kpiAmtMap.ansPraiseAmt }}</a>
            </div>
          </section>
      </div>

  </div>
</script>


<script>
  Vue.component('ans-item', {
    props: ['ansBody', 'quesBody'],
    template: '#ans-item-template',
    methods: {
      ansPraise: function () {
        var ansBody = this.ansBody;
        setAnsPraise(this.ansBody, function(ret) {
          if (ret.data.praiseFlag == 1) {
            ansBody.kpiAmtMap.ansPraiseAmt += 1;
          }
        })
      }
    }
  })
</script>
