
<script id='invit-item-template' type="text/x-template">
  <ul class="aui-list aui-list-in interested-list onecon">
    <li class="aui-list-item follow-item" style="display:flex;" v-for="(user, index) in userList">
        <div class="aui-list-item-label-icon" style="width:3.5rem;" tapmode @click="openUserDetail(user.userId)">
            <i class="photo-img"><img class=" aui-radius" src="../../image/default.png"  :data-src="user.userIcon | imageformat"></i>
        </div>
        <div class="aui-list-item-inner" style="overflow:hidden">
            <div class="content-text" tapmode @click="openUserDetail(user.userId)">
                <p class="aui-ellipsis-1">
                  <span class="aui-text-black aui-font-size-16">{{user.userNickname}}</span>
                  <i class="icon-yl" v-if="user.userTitle" ></i><span class="aui-font-size-14">{{user.userTitle}}</span>
                </p>
                <p class="aui-text-gray aui-font-size-12 vertical-center" v-if="user.userEdu">
                  <i class="icon-person-log wid1">
                    <img src="../../image/default.png" :data-src="user.userEdu && user.userEdu.schlLogo | imageformat" />
                  </i>
                  {{ user.userEdu.schlName }}
                </p>
                <p class="aui-font-size-12 aui-text-lightGray" v-if="user.kpiAmtMap">{{ user.kpiAmtMap.userAnsAmt }}回答 · {{ user.kpiAmtMap.userFansAmt }}粉丝</p>
                <p class="aui-font-size-12 aui-text-lightGray" v-if="user.userKipAmt">{{ user.userKipAmt.userAnsAmt }}回答 · {{ user.userKipAmt.userFansAmt }}粉丝</p>
            </div>
        </div>
        <div class="follow-btns" style="width:6rem;margin-left:auto;margin-right:0.6rem;">
          <div v-if="user.isInvit==1" class="aui-btn aui-disabled aui-btn-outlined aui-btn-sm btn-radius aui-margin-l-5">
            已邀请
          </div>
          <div v-else="" class="aui-btn aui-btn-warning aui-btn-outlined aui-btn-sm btn-radius aui-margin-l-5" @click="inviteAns(user.userId, index)">
            邀请
          </div>
        </div>
    </li>
  </div>
</script>


<script>
  //关注
  Vue.component('invit-item', {
    props: ['userList', 'index', 'objId', 'objType'],
    template: '#invit-item-template',
    methods: {
      inviteAns: function (userId, index) {
        var root_vm = this;

        $fun.ajax({
          url: '/ousiask/inviteAns.do',
          cache: false,
          data: {
            values: {objId: this.objId, objType: 1, inviteUser: userId}
          },
          success: function (result) {
            if (result.resultCode == 1) {
              var user = vm.userList[index];
              user.isInvit = 1;
              Vue.set(vm.userList, index, user);
              api.toast({
                  msg: '已发送邀请',
                  duration: 2000,
                  location: 'bottom'
              });

            }
          }
        });
      }
    }
  })
</script>

<style>
  .aui-disabled {color:#ccc !important; border: 1px solid #ccc;}
  .follow-btns .aui-btn {padding-left:0.8rem !important;padding-right:0.8rem !important;}
</style>
