
<script id='ques-item-template' type="text/x-template">
  <div class="aui-card-list aui-padded-t-0 home-list">
      <!--带询问icon-->
      <div class="question-content" tapmode @click="openQuesDetail(quesBody.quesId)">
          <i class="icon-xu aui-positionA aui-hide"></i>
          <ul class="aui-list aui-list-in interested-list anwser" v-if="quesBody.quesUser && quesBody.quesUser.userId > 0">
              <li class="aui-list-item aui-padded-l-0 vertical-center ">
                  <div class="aui-list-item-label-icon size4" tapmode @click="openUserDetail(quesBody.quesUser.userId)">
                      <i class="photo-img">
                        <img class="" src="../../image/default.png" :data-src="quesBody.quesUser.userIcon | imageformat" style="margin:0;">
                      </i>
                  </div>
                  <div class="aui-list-item-inner">
                      <p class="aui-ellipsis-1 vertical-center">
                        <span class="aui-text-black aui-font-size-16">{{ quesBody.quesUser.userNickname }}</span>
                        <span class="aui-text-lightGray aui-padded-r-5"> · {{ quesBody.createTime | dateformat('DD/MM') }}</span>

                      </p>
                  </div>
              </li>
          </ul>
          <div class="aui-font-size-18 aui-margin-t-10 aui-margin-b-10 aui-text-black">
              <div>{{ quesBody.quesTitle }}</div>
          </div>
          <div class="question-content Con-bg box-radius5" v-if="ansBody && ansBody.ansCont" tapmode @click="openAnsDetail(ansBody.ansSno, ansBody.ansUser.userId, quesBody.quesId)">
            <ul v-if="ansBody.ansUser && ansBody.ansUser.userId > 0" class="aui-list aui-list-in interested-list anwser">
                <li class="aui-list-item">
                    <div class="aui-list-item-label-icon size3" tapmode @click="openUserDetail(ansBody.ansUser.userId)">
                        <i class="photo-img"><img class="" src="../../image/default.png"  :data-src="ansBody.ansUser.userIcon | imageformat"></i>
                    </div>
                    <div class="aui-list-item-inner">
                        <div class="content-text">
                            <p class="aui-ellipsis-1">
                              <span class="aui-text-gray aui-font-size-14">{{ ansBody.ansUser.userNickname }}</span>
                            </p>
                            <p class="aui-text-gray aui-font-size-12 vertical-center">
                              <i class="icon-person-log wid1"><img src="../../image/default.png" :data-src="ansBody.ansUser.userEdu.schlLogo | imageformat" /></i>
                              {{ ansBody.ansUser.userEdu.schlName }}
                            </p>
                        </div>
                    </div>
                </li>
            </ul>

            <div class="answer-con aui-font-size-15 aui-bj-box aui-text-gray">
                <div class="aui-text-gray aui-ellipsis-3">{{ ansBody.ansCont }}</div>
                <span class="photo-img-right" v-if="ansBody.ansImg">
                  <img class="" src="../../image/default.png" :data-src="ansBody.ansImg.thumbnailUrl | imageformat">
                </span>
            </div>
          </div>

      </div>

  </div>

</script>


<script>
  Vue.component('ques-item', {
    props: ['ansBody', 'quesBody'],
    template: '#ques-item-template'
  })
</script>
