
<script id='follow-item-template' type="text/x-template">
  <li class="aui-list-item follow-item">
      <div class="aui-list-item-media size2" tapmode @click="openUserDetail(user.userId)">
          <i class="photo-img"><img class=" aui-radius" src="../../image/default.png"  :data-src="user.userIcon | imageformat"></i>
      </div>
      <div class="aui-list-item-inner">
        <div class="aui-list-item-text">
          <div class="content-text aui-list-item-title" tapmode @click="openUserDetail(user.userId)">
              <p class="aui-ellipsis-1">
                <span class="aui-text-black aui-font-size-16">{{user.userNickname}}{{user.userNickname}}{{user.userNickname}}</span>
                <i class="icon-yl" v-if="user.userTitle" ></i><span class="aui-font-size-14">{{user.userTitle}}</span>
              </p>
              <p class="aui-text-gray aui-font-size-12 vertical-center" v-if="user.userEdu">
                <i class="icon-person-log wid1">
                  <img src="../../image/default.png" :data-src="user.userEdu && user.userEdu.schlLogo | imageformat" />
                </i>
                {{ user.userEdu.schlName }}
              </p>
              <p class="aui-font-size-12 aui-text-lightGray" v-if="user.kpiAmtMap">{{ user.kpiAmtMap.userAnsAmt }}回答 · {{ user.kpiAmtMap.userFansAmt }}粉丝</p>
              <p class="aui-font-size-12 aui-text-lightGray" v-if="user.userKipAmt">{{ user.userKipAmt.userAnsAmt }}回答 · {{ user.userKipAmt.userFansAmt }}粉丝</p>
          </div>
          <div class="aui-list-item-right">
            <div class="aui-btn aui-btn-warning aui-btn-outlined aui-btn-sm btn-radius aui-margin-l-5" v-if="!user.userRel" @click="followOne(user.userId, index)">
              {{ !user.isFollow ? '+ 关注' : '已关注' }}
            </div>
            <div class="aui-btn aui-btn-outlined aui-btn-sm btn-radius aui-margin-l-5" v-if="user.userRel == 1">
              互相关注
            </div>
            <div class="aui-btn aui-btn-warning aui-btn-outlined aui-btn-sm btn-radius aui-margin-l-5" v-if="user.userRel == 2" @click="followOne(user.userId, index)">
              {{ !user.isFollow ? '+ 关注' : '已关注' }}
            </div>
            <div class="aui-btn aui-btn-outlined aui-btn-sm btn-radius aui-margin-l-5" v-if="user.userRel == 3">
              已关注
            </div>
          </div>
        </div>
      </div>
  </li>
</script>


<script>
  //关注
  Vue.component('follow-item', {
    props: ['user', 'index'],
    template: '#follow-item-template',
    methods: {
      followOne: function (userId, index) {
        if (this.user.isFollow) return false;
        this.$emit('follow-one', userId, index);
      }
    }
  })
</script>
