
<script id='hot-item-template' type="text/x-template">
  <li>
      <div class="aui-card-list" tapmode @click="openQuesDetail(quesBody.quesId)">
          <div class="aui-card-list-content">
              <ul class="aui-list aui-list-in interested-list aui-padded-t-10">
                  <li class="aui-list-item ">
                      <div class="aui-list-item-label-icon size5" tapmode @click="openUserDetail(quesBody.quesUser.userId)">
                          <i class="photo-img"><img class="lazy" src="../../image/default.png"  :data-src="quesBody.quesUser.userIcon | imageformat"></i>
                      </div>
                      <div class="aui-list-item-inner">
                          <div class="content-text" v-if="quesBody.quesUser.userEdu" tapmode @click="openUserDetail(quesBody.quesUser.userId)">
                              <p class="aui-ellipsis-1 vertical-center">
                                <span class="aui-text-black aui-font-size-16">{{ quesBody.quesUser.userNickname }}</span>
                              </p>
                              <div>
                                <p class="aui-text-gray aui-font-size-12 vertical-center">
                                  <i class="icon-person-log" v-if="quesBody.quesUser.userEdu">
                                    <img src="../../image/default.png" :data-src="quesBody.quesUser.userEdu.schlLogo | imageformat" />
                                  </i>
                                  {{ quesBody.quesUser.userEdu.schlName }}
                                </p>
                              </div>
                          </div>
                          <div class="content-text" v-else>
                              <p class="aui-ellipsis-1"><span class="aui-text-gray aui-font-size-14">{{ quesBody.quesUser.userNickname }}</span></p>
                              <p class="aui-text-gray aui-font-size-12 vertical-center">
                                <span class="aui-text-lightGray aui-padded-r-5">{{ quesBody.createTime | dateformat('DD/MM') }}</span>
                              </p>
                          </div>
                      </div>
                      <div class="aui-bar aui-bar-btn aui-bar-btn-round aui-bar-btn-sm aui-margin-r-15 label-ans-score">
                          <div class="aui-bar-btn-item aui-text-warning">{{ ansBody.ansScore | numberFormat }}热度</div>
                          <div class="aui-bar-btn-item aui-btn-warning aui-active">NO.{{index+1}}</div>
                      </div>
                  </li>
              </ul>
          </div>
          <div class="question-content aui-padded-t-0" tapmode @click="openAnsDetail(ansBody.ansSno, ansBody.ansUser.userId, quesBody.quesId)">
            <div class="answer-con icon-question aui-padded-b-5 aui-font-size-15 aui-bj-box aui-text-gray">
                <div class="aui-text-gray aui-ellipsis-3">{{quesBody.quesTitle}}</div>
                <span class="photo-img-right" v-if="quesBody.quesImg"><img class="lazy" src="../../image/default.png" :data-src="quesBody.quesImg.thumbnailUrl | imageformat"></span>
            </div>
            <ul class="aui-list aui-list-in interested-list Con-bg aui-padded-b-10 aui-padded-t-10 box-radius5">
                <li class="aui-list-item aui-padded-l-0 vertical-center ">
                    <div class="aui-list-item-label-icon size2" tapmode @click="openUserDetail(ansBody.ansUser.userId)">
                        <i class="photo-img">
                          <img class="" src="../../image/default.png" :data-src="ansBody.ansUser.userIcon | imageformat" style="margin:0;">
                        </i>
                    </div>
                    <div class="aui-list-item-inner">
                        <p class="aui-ellipsis-1 vertical-center">
                          <span class="aui-text-black aui-font-size-14">{{ ansBody.ansUser.userNickname }}</span>
                          <i class="icon-yl" v-if="ansBody.ansUser.userTitle"></i>
                          <span class="aui-font-size-12 ">{{ ansBody.ansUser.userTitle }}</span>
                        </p>
                    </div>
                </li>
                <div class="aui-font-size-15 aui-bj-box aui-text-gray aui-margin-l-15 aui-margin-r-15">
                    <div class="aui-ellipsis-3">{{ ansBody.ansCont }}</div>
                </div>
            </ul>

          </div>
      </div>
  </li>

</script>


<script>
  Vue.component('hot-item', {
    props: ['index', 'ansBody', 'quesBody'],
    template: '#hot-item-template'
  })
</script>
<style>
.hotList-content .aui-bar-btn-sm .aui-bar-btn-item{line-height: 0.7rem;height: 0.7rem;font-size:0.52rem;padding-top: 0.05rem;border-width: :0.5rem}
.hotList-content .aui-bar-btn.aui-bar-btn-round .aui-bar-btn-item:first-child{
    border-top-left-radius: 0.15rem;
    border-bottom-left-radius: 0.15rem;
  }
  .hotList-content .aui-bar-btn.aui-bar-btn-round .aui-bar-btn-item:last-child {
    border-top-right-radius: 0.15rem;
    border-bottom-right-radius: 0.15rem;
  }
</style>
