
<script id='ques-item-template' type="text/x-template">
  <div class="aui-card-list">
      <div class="aui-card-list-content aui-padded-t-10"  v-if="quesBody.quesUser.userId > 0" tapmode @click="openQuesDetail(quesBody.quesId)">
          <ul class="aui-list aui-list-in interested-list">
              <li class="aui-list-item">
                  <div class="aui-list-item-label-icon size5">
                      <i class="photo-img">
                        <img class="" src="../../image/default.png"  :data-src="quesBody.quesUser.userIcon | imageformat"  tapmode @click="openUserDetail(quesBody.quesUser.userId)">
                      </i>
                  </div>
                  <div class="aui-list-item-inner">
                      <div class="content-text">
                          <p class="aui-ellipsis-1">
                            <span class="aui-text-gray aui-font-size-16"  tapmode @click="openUserDetail(quesBody.quesUser.userId)">
                              {{ quesBody.quesUser.userNickname }}
                            </span>
                          </p>
                          <p class="aui-text-gray aui-font-size-12 vertical-center">
                            <span class="aui-text-lightGray aui-padded-r-5 aui-hide">{{ quesBody.createTime | dateformat('DD/MM') }} · </span>
                            <i class="icon-person-log"><img src="../../image/default.png" :data-src="quesBody.quesUser.userEdu.schlLogo | imageformat" /></i>
                            {{ quesBody.quesUser.userEdu.schlName }}
                          </p>
                      </div>
                  </div>
              </li>
          </ul>
      </div>
      <div :class="quesBody.quesUser.userId > 0 ? 'question-content aui-padded-t-0' : 'question-content aui-padded-t-10'" tapmode @click="openQuesDetail(quesBody.quesId)">
        <div class="question-header aui-padded-b-5 aui-font-size-20 aui-ellipsis-3">
          <b>{{quesBody.quesTitle}}？</b>
        </div>
      </div>
      <div class="question-content aui-padded-t-0" v-if="ansBody" tapmode @click="openUserDetail(ansBody.ansUser.userId)">
          <ul class="aui-list aui-list-in interested-list anwser aui-padded-t-10">
              <li class="aui-list-item aui-padded-l-0 ">
                  <div class="aui-list-item-label-icon size2">
                      <i class="photo-img">
                        <img class="" src="../../image/default.png" :data-src="ansBody.ansUser.userIcon | imageformat">
                      </i>
                  </div>
                  <div class="aui-list-item-inner">
                      <div class="content-text">
                          <p class="aui-ellipsis-1 vertical-center">
                            <span class="aui-text-black aui-font-size-16">{{ ansBody.ansUser.userNickname }}</span>
                            <i class="icon-yl" v-if="ansBody.ansUser.userTitle"></i><span class="aui-font-size-12 userTitle">{{ ansBody.ansUser.userTitle }}</span>
                          </p>
                          <p class="aui-text-gray aui-font-size-12 vertical-center">
                            <i class="icon-person-log wid1">
                              <img src="../../image/default.png" :data-src="ansBody.ansUser.userEdu.schlLogo | imageformat" />
                            </i>
                            {{ ansBody.ansUser.userEdu.schlName }}
                          </p>
                      </div>
                  </div>
              </li>
          </ul>
          <div class="answer-con aui-font-size-15 aui-bj-box aui-text-gray">
              <div class="aui-text-gray aui-ellipsis-3" tapmode @click="openAnsDetail(ansBody.ansSno, ansBody.ansUser.userId, quesBody.quesId)">{{ ansBody.ansCont }}</div>
              <span class="photo-img-right" v-if="ansBody.ansImg">
                <img class="" src="../../image/default.png" :data-src="ansBody.ansImg.thumbnailUrl | imageformat">
              </span>
          </div>
          <p class="aui-padded-t-15 aui-clearfix">
            <span class="aui-pull-left aui-text-lightGray aui-font-size-12">
              {{ansBody.kpiAmtMap.ansPraiseAmt}}赞同 · {{ansBody.kpiAmtMap.ansComtAmt}}评论
            </span>
            <i class="aui-iconfont aui-icon-close aui-pull-right"></i>
          </p>
      </div>
  </div>
</script>


<script>
  Vue.component('ques-item', {
    props: ['ansBody', 'quesBody'],
    template: '#ques-item-template'
  })
</script>
