
<script id='reco-item-template' type="text/x-template">

    <div class="aui-card-list">
        <div class="aui-card-list-content aui-padded-t-10 aui-padded-b-0"  v-if="quesBody.quesUser.userId > 0" tapmode @click="openQuesDetail(quesBody.quesId)">
            <ul class="aui-list aui-list-in interested-list">
                <li class="aui-list-item">
                    <div class="aui-list-item-label-icon size5" tapmode @click="openUserDetail(quesBody.quesUser.userId)">
                        <i class="photo-img-size4">
                          <img class="" src="../../image/default.png" :data-src="quesBody.quesUser.userIcon | imageformat">
                        </i>
                    </div>
                    <div class="aui-list-item-inner">
                        <div class="content-text">
                            <p class="aui-ellipsis-1">
                              <span class="aui-text-gray aui-font-size-16" tapmode @click="openUserDetail(quesBody.quesUser.userId)">{{ quesBody.quesUser.userNickname }}</span>
                            </p>
                              <p class="aui-text-gray aui-font-size-12 vertical-center" v-if="ansBody.ansUser.userEdu">
                                <i class="icon-person-log"><img src="../../image/default.png" :data-src="quesBody.quesUser.userEdu.schlLogo | imageformat" /></i>
                                {{ quesBody.quesUser.userEdu.schlName }}
                              </p>
                        </div>
                    </div>
                </li>
            </ul>
        </div>
        <div :class="quesBody.quesUser.userId > 0 ? 'question-content aui-padded-t-0 aui-padded-b-5' : 'question-content aui-padded-t-20  aui-padded-b-5'" tapmode @click="openQuesDetail(quesBody.quesId)">
            <div class="question-header aui-padded-b-0 aui-font-size-20 aui-ellipsis-3">
              <b>{{quesBody.quesTitle}}？</b>
            </div>
        </div>
        <div class="question-content aui-padded-t-0" style="background:#f2f3f6" v-if="ansBody">
            <ul class="aui-list aui-list-in interested-list anwser" tapmode  @click="openAnsDetail(ansBody.ansSno, ansBody.ansUser.userId, quesBody.quesId)">
                <li class="aui-list-item aui-padded-l-0 vertical-center ">
                    <div class="aui-list-item-label-icon size2">
                        <i class="photo-img">
                          <img class="" src="../../image/default.png" :data-src="ansBody.ansUser.userIcon | imageformat" style="margin:0;" tapmode @click="openUserDetail(ansBody.ansUser.userId)">
                        </i>
                    </div>
                    <div class="aui-list-item-inner">
                        <p class="aui-ellipsis-1 vertical-center">
                          <span class="aui-text-black aui-font-size-14">{{ ansBody.ansUser.userNickname }}</span>
                          <i class="icon-yl" v-if="ansBody.ansUser.userTitle"></i>
                          <span class="aui-font-size-12 ">{{ ansBody.ansUser.userTitle }}</span>
                        </p>
                    </div>
                </li>
            </ul>
            <div class="answer-con aui-font-size-15 aui-bj-box aui-text-gray" tapmode  @click="openAnsDetail(ansBody.ansSno, ansBody.ansUser.userId, quesBody.quesId)">
                <div class="aui-text-gray aui-ellipsis-3">{{ ansBody.ansCont }}</div>
                <span class="photo-img-right" v-if="ansBody.ansImg">
                  <img class="" src="../../image/default.png" :data-src="ansBody.ansImg.imgUrl | imageformat">
                </span>
            </div>
            <p class="aui-padded-t-15 aui-clearfix" v-if="ansBody">
              <span class="aui-pull-left aui-text-lightGray aui-font-size-12" tapmode  @click="openAnsDetail(ansBody.ansSno, ansBody.ansUser.userId, quesBody.quesId)">
                {{ansBody.kpiAmtMap.ansPraiseAmt}}赞同 · {{ansBody.kpiAmtMap.ansComtAmt}}评论
              </span>
              <i class="aui-iconfont aui-icon-close aui-pull-right" tapmode @click="openReport(1, quesBody.quesId, quesBody.quesUser.userId)"></i>
            </p>

        </div>
    </div>

</script>


<script>
  Vue.component('reco-item', {
    props: ['ansBody', 'quesBody'],
    template: '#reco-item-template',
    methods: {
      openDetail: function (id) {
        api.openWin({
            name: 'ans_detail',
            url: '../detail/ques.html',
            pageParam: {
                id: id
            },
            animation: {
                type:"movein",
                subType:"from_right",
                duration:250
            }
        });

      }
    }
  })
</script>
